Subject: [Fot] Rear Axle Conversions GT6+

From: Vangoughv <[email-masked]>
Date: Tue, 7 Jul 2015 12:45:06 -0400

Good day all..

I'm looking at various rear axle conversion options for my 1970 Triumph GT6+ (still using original Roto flex set up and 3.27 diff) 

I am hoping that a few of you would be so kind as to share your specific experience with whatever you have adopted.  I know I could cook up something using  240z hubs and axles for instance.  Something that's more "bolt on" would be nice such as the Canley's conversion kit but I'm not sure it would stand up to the track use??  I see several others as well but not enough technical detail for me to feel confident in choosing any.  

Your experiences and advice are welcome.   Feel free to respond directly to my address if you'd rather. 

I'm sorry if this is a repeat topic for some of you perhaps..

Thanks in advance.  
Vince
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive